apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: hhb-rabbitmq
  labels:
    name: hhb-rabbitmq
spec:
  replicas: 1
  serviceName: hhb-rabbitmq
  selector:
    matchLabels:
      name: hhb-rabbitmq
  template:
    metadata:
      labels:
        name: hhb-rabbitmq
    spec:
      containers:
        - name: hhb-rabbitmq
          image: rabbitmq:3.12-alpine
          imagePullPolicy: "IfNotPresent"
          ports:
            - name: amqp
              containerPort: 5672
              protocol: TCP
            - name: management
              containerPort: 15672
              protocol: TCP
            - name: prometheus
              containerPort: 15692
              protocol: TCP
          envFrom:
            - configMapRef:
                name: rabbitmq-config
          resources:
            requests:
              memory: 200Mi
          volumeMounts:
            - name: rabbitmq-plugins
              mountPath: /etc/rabbitmq
            - name: hhb-rabbitmq-data-pvc
              mountPath: /var/lib/rabbitmq/mnesia
      volumes:
        - name: rabbitmq-plugins
          configMap:
            name: rabbitmq-plugins
        - name: hhb-rabbitmq-data-pvc
          emptyDir: {}